<?php
function hex2rgb($color){
if ($color[0] == '#')
$color = substr($color, 1);

if (strlen($color) == 6){
list($r, $g, $b) = array($color[0].$color[1], $color[2].$color[3], $color[4].$color[5]);
} else if (strlen($color) == 3){
list($r, $g, $b) = array($color[0].$color[0], $color[1].$color[1], $color[2].$color[2]);
} else {
return false;
}

$r = hexdec($r); $g = hexdec($g); $b = hexdec($b);
$rgb = "rgb({$r}, {$g}, {$b})";

return $rgb;
}

/*******************************************************************************************************/

function hex2rgba($color, $opc){
if ($color[0] == '#')
$color = substr($color, 1);

if (strlen($color) == 6){
list($r, $g, $b) = array($color[0].$color[1], $color[2].$color[3], $color[4].$color[5]);
} else if (strlen($color) == 3){
list($r, $g, $b) = array($color[0].$color[0], $color[1].$color[1], $color[2].$color[2]);
} else {
return false;
}

$r = hexdec($r); $g = hexdec($g); $b = hexdec($b);
$rgba = "rgba({$r}, {$g}, {$b}, {$opc})";

return $rgba;
}

/*******************************************************************************************************/

function hex2rgbastring($color, $opc){
if ($color[0] == '#')
$color = substr($color, 1);

if (strlen($color) == 6){
list($r, $g, $b) = array($color[0].$color[1], $color[2].$color[3], $color[4].$color[5]);
} else if (strlen($color) == 3){
list($r, $g, $b) = array($color[0].$color[0], $color[1].$color[1], $color[2].$color[2]);
} else {
return false;
}

$aopc = $opc * 100;

$r = hexdec($r); $g = hexdec($g); $b = hexdec($b);
$rgbastring = "r={$r}&g={$g}&b={$b}&a={$aopc}";

return $rgbastring;
}

/*******************************************************************************************************/

function hex2argb($color, $opc){
$aopc = '';
if ($color[0] == '#')
$color = substr($color, 1);

switch ($opc) {
case '0':
$aopc = '00';
break;
case '0.05':
$aopc = '0C';
break;
case '0.1':
$aopc = '19';
break;
case '0.15':
$aopc = '26';
break;
case '0.2':
$aopc = '33';
break;
case '0.25':
$aopc = '3F';
break;
case '0.3':
$aopc = '4C';
break;
case '0.35':
$aopc = '59';
break;
case '0.4':
$aopc = '66';
break;
case '0.45':
$aopc = '72';
break;
case '0.5':
$aopc = '7F';
break;
case '0.55':
$aopc = '8C';
break;
case '0.6':
$aopc = '99';
break;
case '0.65':
$aopc = 'A5';
break;
case '0.7':
$aopc = 'B2';
break;
case '0.75':
$aopc = 'BF';
break;
case '0.8':
$aopc = 'CC';
break;
case '0.85':
$aopc = 'D8';
break;
case '0.9':
$aopc = 'E5';
break;
case '0.95':
$aopc = 'F2';
break;
case '1':
$aopc = 'FF';
break;
}

return '#'.strtoupper($aopc.$color);
}

/*******************************************************************************************************/

function safe_color($color){
if ($color[0] == '#'){
$scolor = strtolower($color);
} else {
$scolor = '#'.strtolower($color);
}

return $scolor;
}

/*******************************************************************************************************/

function pgshad($pshad) {
$myshad = '';
switch ($pshad) {
case 'medium':
$myshad = '0 0 12px 4px #000';
break;
case 'lite':
$myshad = '0 0 7px 2px #000';
break;
case 'strong':
$myshad = '0 0 20px 6px #000';
break;
case 'none':
$myshad = '0 0 0 0 #000';
break;
}

return $myshad;
}

/*******************************************************************************************************/

function vidid($url) {

$urls = parse_url($url);
if(isset($urls['host']) && $urls['host'] == 'youtu.be'){  
	$id = ltrim($urls['path'],'/'); 
} 
else if(strpos($urls['path'],'embed') == 1){  
	$id = end(explode('/',$urls['path'])); 
} 
else if(strpos($url,'/')===false){ 
	$id = $url; 
} 
else{ 
	parse_str($urls['query'], $qs); 
	$id = $qs['v']; 
}

return $id;
}

/*******************************************************************************************************/

function check_mobile() {
$useragent = $_SERVER['HTTP_USER_AGENT'];
$useragent = strtolower($useragent);

if(strrpos($useragent,"iphone") > 0 || strrpos($useragent,"symbianos") > 0 || strrpos($useragent,"ipad") > 0 || strrpos($useragent,"ipod") > 0 || strrpos($useragent,"android") > 0 || strrpos($useragent,"blackberry") > 0 || strrpos($useragent,"samsung") > 0 || strrpos($useragent,"nokia") > 0 || strrpos($useragent,"windows ce") > 0 || strrpos($useragent,"sonyericsson") > 0 || strrpos($useragent,"webos") > 0 || strrpos($useragent,"wap") > 0 || strrpos($useragent,"motor") > 0 || strrpos($useragent,"symbian") > 0){
return true;
} else {
return false;
}
}

/*******************************************************************************************************/

function get_page_url(){
	$URL = 'http';	
	if (!empty($_SERVER['HTTPS'])) {
	if ($_SERVER["HTTPS"] == "on"){
	$URL .= "s";}}
	$URL .= "://";
	$URL .= $_SERVER["SERVER_NAME"].$_SERVER["REQUEST_URI"];
	return $URL;
}

/*******************************************************************************************************/

function get_bgimages() {
include ('config.php');

$output = '"'.get_page_url().$bodybgimg.'"';
if($bodybgimg2){
    $output .= ','."\n".'"'.get_page_url().$bodybgimg2.'"';
}
if($bodybgimg3){
    $output .= ','."\n".'"'.get_page_url().$bodybgimg3.'"';
}
if($bodybgimg4){
    $output .= ','."\n".'"'.get_page_url().$bodybgimg4.'"';
}
if($bodybgimg5){
    $output .= ','."\n".'"'.get_page_url().$bodybgimg5.'"';
}
if($bodybgimg6){
    $output .= ','."\n".'"'.get_page_url().$bodybgimg6.'"';
}
if($bodybgimg7){
    $output .= ','."\n".'"'.get_page_url().$bodybgimg7.'"';
}
if($bodybgimg8){
    $output .= ','."\n".'"'.get_page_url().$bodybgimg8.'"';
}
if($bodybgimg9){
    $output .= ','."\n".'"'.get_page_url().$bodybgimg9.'"';
}
if($bodybgimg10){
    $output .= ','."\n".'"'.get_page_url().$bodybgimg10.'"';
}

return $output;
}

/*******************************************************************************************************/

function mobi_redir() {


if(isset($mobiredir) && $mobiredir != '' && check_mobile() == true){
$mredirjs = <<<HTML
<script type="text/javascript">
window.location.href = '{$mobiredir}';
</script>

HTML;
} else {
$mredirjs = '';
}

return $mredirjs;
}

/*******************************************************************************************************/
?>